crypton-1.0.1: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | Good
Safe Haskell | None
Language | Haskell2010

Crypto.PubKey.MaskGenFunction

Description

Synopsis

- type MaskGenAlgorithm seed output = seed -> Int -> output
- mgf1 :: (ByteArrayAccess seed, ByteArray output, HashAlgorithm hashAlg) => hashAlg -> seed -> Int -> output

# Documentation

type MaskGenAlgorithm seed output #

Arguments

= seed | seed
-> Int | length to generate
-> output |

Represent a mask generation algorithm

mgf1 :: (ByteArrayAccess seed, ByteArray output, HashAlgorithm hashAlg) => hashAlg -> seed -> Int -> output #

Mask generation algorithm MGF1